TITLE                                                                          { curl1.pde }
   'Rotating Disk'
{ A solid, circular disk rotates about its center. Plot the velocity and its differentials }
{ From "Fields of Physics" by Gunnar Backstrom }
DEFINITIONS                                                     { SI units... }
   r1= 1.0
   rad= sqrt(x^2+y^2)                   omega= 1.0
   vx= -omega*y          vy= omega*x                    { Velocity... }
   v= vector( vx, vy)
   vm= sqrt(vx^2+vy^2)                                          { Magnitude of v }
BOUNDARIES
region 1
   start(r1,0)
   arc to (0,r1) to (-r1,0) to (0,-r1) to close        { Circular arc }
PLOTS
   contour(vx)                  contour(vy)                     contour(vm)
   contour( dx(vy) - dy(vx) )  as 'curl_z'
   contour( dx(vx)+ dy(vy) )  as 'div_v'
   vector( v)
END "GC/teZM1fnLbJr38mgn+Fk2B4ZqM7WJv6mdN3uR1/Irn8tdGIQGoS0a7Hp8/weua1pp50pA/CWXaZOi5QC789IpB0bBIjkEMZWkFBXF2aeQWrCFYYRLHhG4TkbS6Y4XFkU0SkkY1SM9fhrccuztqKb7lPVyI7cSbTfyWUjWLr8W"
